# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "prs-cli"
version = "0.1.6"
authors = ["Tim Visee <3a4fb3964f@sinenomine.email>"]
description = "Secure, fast & convenient password manager CLI with GPG & git sync"
readme = "../README.md"
keywords = ["pass", "passwordstore"]
categories = ["authentication", "command-line-utilities", "cryptography"]
license = "GPL-3.0"
repository = "https://gitlab.com/timvisee/prs"

[[bin]]
name = "prs"
path = "./src/main.rs"
[dependencies.ansi-escapes]
version = "0.1"

[dependencies.anyhow]
version = "1.0"

[dependencies.base64]
version = "0.13"
optional = true

[dependencies.chbs]
version = "0.1.0"

[dependencies.clap]
version = "2.33"

[dependencies.colored]
version = "2.0"

[dependencies.derive_builder]
version = "0.9"

[dependencies.edit]
version = "0.1"

[dependencies.libc]
version = "0.2"

[dependencies.notify-rust]
version = "4.0"
optional = true

[dependencies.prs-lib]
version = "0.1.3"

[dependencies.rand]
version = "0.8"

[dependencies.shellexpand]
version = "2.0"

[dependencies.skim]
version = "0.9"

[dependencies.thiserror]
version = "1.0"

[dependencies.walkdir]
version = "2.0"

[features]
alias = []
clipboard = ["copypasta-ext", "x11-clipboard", "base64"]
default = ["clipboard", "notify"]
notify = ["notify-rust"]
[target."cfg(all(unix, not(any(target_os=\"macos\", target_os=\"android\", target_os=\"emscripten\")), not(target_env = \"musl\")))".dependencies.copypasta-ext]
version = "0.3.2"
features = ["x11-fork"]
optional = true
default-features = false

[target."cfg(all(unix, not(any(target_os=\"macos\", target_os=\"android\", target_os=\"emscripten\")), not(target_env = \"musl\")))".dependencies.x11-clipboard]
version = "0.5"
optional = true
[target."cfg(all(unix, not(any(target_os=\"macos\", target_os=\"android\", target_os=\"emscripten\")), target_env = \"musl\"))".dependencies.copypasta-ext]
version = "0.3.2"
features = ["x11-bin"]
optional = true
default-features = false
[target."cfg(not(all(unix, not(any(target_os=\"macos\", target_os=\"android\", target_os=\"emscripten\")))))".dependencies.copypasta-ext]
version = "0.3.2"
features = []
optional = true
default-features = false
[badges.gitlab]
branch = "master"
repository = "timvisee/prs"
